﻿package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author mattdev
	 */
	public class Gun extends FlxSprite
	{
		
		[Embed(source="../assets/textures/gun.png")] 
		protected var gunImage:Class;
		protected var ownerPlayer: Player;
		protected var timeSinceShot: Number = 0.0;
		
		public function Gun(player:Player) 
		{
			
			ownerPlayer = player;

			super();
			loadGraphic(gunImage);
			
		}
		
		public override function update():void
		{
			
			timeSinceShot += FlxG.elapsed;
			
			x = ownerPlayer.x;
			y = ownerPlayer.y;
			
			angle = FlxU.getAngle(FlxG.mouse.getWorldPosition(), this.getMidpoint());
			var playState:PlayState = FlxG.state as PlayState;
			
			if ( timeSinceShot >= 0.1 && playState.ammo > 0 )
			{
				if ( FlxG.mouse.pressed() )
				{
					playState.setAmmo(playState.ammo - 1);
					var laser:Laser = new Laser(ownerPlayer, angle);
					timeSinceShot = 0.0;
				}
			}
			
			super.update();
			
		}
	}

}