﻿package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author mattdev
	 */
	public class Shop extends FlxSprite
	{
		
		[Embed(source="../assets/textures/shop.png")] 
		protected var shopImage:Class;
		
		public var priceModifier: Number = 1.0;
		
		public function Shop(x: Number, y:Number, pModifier:Number) 
		{
			priceModifier = pModifier;
			super(x, y, shopImage);
			addToMinimap();
		}
		
		public override function destroy(): void
		{
			super.destroy();
			
			var playState:PlayState = FlxG.state as PlayState;
			playState.shopsGroup.remove(this, true);
			
			playState.miniMap.removeSprite(this);
		}
		
		public function addToMinimap(): void
		{
			var playState:PlayState = FlxG.state as PlayState;
			playState.miniMap.addSprite(this, 0xff00ff00, 2);
		}
		
	}

}