﻿package
{
	import org.flixel.*;
 
	public class DeathState extends FlxState
	{
		public var level: int;
		
		public function DeathState(lvl:int) 
		{
			level = lvl;
			
			var txt:FlxText;
			txt = new FlxText(0, (FlxG.width / 2) - 80, FlxG.width, "You died");
			txt.setFormat(null, 16, 0xFFFFFFFF, "center");
			this.add(txt);
			
			txt = new FlxText(0, FlxG.height  -24, FlxG.width, "Press spacebar or the mouse button to continue")
			txt.setFormat(null, 8, 0xFFFFFFFF, "center");
			this.add(txt);
			
			
		}
		
		override public function update():void
		{
			
			if (FlxG.keys.pressed("SPACE") || FlxG.mouse.justPressed() )
			{
				FlxG.fade(0xff000000, 0.5, onFade);
			}
			super.update();
		}
		
		private function onFade():void
		{
			FlxG.switchState(new PlayState(level));
		}
		
		override public function create():void
		{
		}
		
	}

}