﻿package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author mattdev
	 */
	public class ExitPoint extends FlxSprite
	{
		
		[Embed(source="../assets/textures/exitpoint.png")] 
		protected var exitImage:Class;
		
		protected var timer: Number;
		
		public function ExitPoint(x: Number, y:Number) 
		{
			super(x, y, exitImage);
			addToMinimap();
		}
		
		public override function destroy(): void
		{
			super.destroy();
			
			var playState:PlayState = FlxG.state as PlayState;
			playState.exitsGroup.remove(this, true);
			
			playState.miniMap.removeSprite(this);
		}
		
		public function addToMinimap(): void
		{
			var playState:PlayState = FlxG.state as PlayState;
			playState.miniMap.addSprite(this, 0xffffff00, 4);
		}
		
		public override function update(): void
		{
			super.update();
			timer += FlxG.elapsed;
			
			angle = angle + 100.0 * FlxG.elapsed;
		}
		
	}

}